/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author pc one
 */
public enum TipoAbono {
   ANTICIPO("ANTICIPO") {
      @Override
      public String toString() {
         return "Anticipo";
      }
   },
   ABONO("ABONO") {
      @Override
      public String toString() {
         return "Abono";
      }
   },
   SUBABONO("ABONO") {
      @Override
      public String toString() {
         return "Sub abono";
      }
   },
   DEVOLUCION("DEVOLUCION") {
      @Override
      public String toString() {
         return "Devolución";
      }
   },
   COMISION("COMISION") {
      @Override
      public String toString() {
         return "Comisión por apertura";
      }
   },
   AJUSTE("AJUSTE") {
      @Override
      public String toString() {
         return "Ajuste";
      }
   };

   private final String type;

   private TipoAbono(String type) {
      this.type = type;
   }

   public String getType() {
      return type;
   }
}
